Subject: Re: bug#15808: 24.3; thing-at-point slow for url and email

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Nov 2013 21:18:52 -0500

>> Try it with M-x profiler-start RET RET ... M-x profiler-report RET.
> I got the following which doesn't seem useful. Am I wrong? Thanks - Leo

You need to `C-u RET' on the lines with the + to see more details.

> + if                                                              144  35%

The count is too small: this is a sample-based profiler, so you need
a long enough runtime to get meaningful results (otherwise, the various
stack fragments collected can't be pieced together to get the whole tree).

Also, it seems some of the code is interpreted.  If the result is still
hard to interpret, you might want to try and byte-compile that code.

> + call-interactively                                        6,531,039  99%

That looks much more promising.  What does C-u RET show?

        Stefan